curl --request GET \
--url https://{host}/lucca-api/employee-personal-records \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "employee-personal-records",
"url": "https://example.ilucca.net/lucca-api/employee-personal-records?page=qsdkuh&limit=25",
"items": [
{
"id": "897",
"type": "employee-personal-record",
"url": "https://example.ilucca.net/lucca-api/employee-personal-records/897",
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"title": "mister",
"legalGender": "male",
"birthDate": "1989-12-21",
"insuranceNumber": {
"format": "frenchSSN",
"value": "1760774865895 37"
},
"nationalitiesCountryCodes": [
"FRA"
],
"bankAccount": {
"format": "iban",
"bankName": "BNP Paribas",
"accountIdentifier": "FR7630006000011234567890189",
"bankIdentifier": null
},
"phoneNumber": "+33456789634",
"email": "jdoe13@gmail.com",
"links": {}
}
],
"totalCount": 203,
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/employee-personal-records?page=!sdk87Sdh&limit=25"
}
},
"embedded": {
"employee": {
"416": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416",
"remoteId": "00002345",
"portrait": {
"id": "66512232",
"type": "portrait",
"url": "https://example.ilucca.net/lucca-api/portraits/66512232"
},
"givenName": "Edward",
"familyName": "Atkinson",
"employeeNumber": "E000124",
"status": "active",
"email": "eatkinson@acme.corp",
"birthDay": {
"day": 22,
"month": 12
},
"phoneNumber": "+33145784512",
"applicableEmployment": {
"id": "154",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/154"
},
"applicableJobPosition": {
"id": "74",
"type": "job-position",
"url": "https://example.ilucca.net/lucca-api/job-positions/74"
},
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {
"portrait": {
"href": "https://example.ilucca.net/lucca-api/files/66512232?token=eyJhbGciOi"
},
"employments": {
"href": "https://example.ilucca.net/lucca-api/employments?employee.id=416"
},
"jobPositions": {
"href": "https://example.ilucca.net/lucca-api/job-positions?employment.employee.id=416"
},
"personalRecord": {
"href": "https://example.ilucca.net/lucca-api/employee-personal-records?employee.id=416"
}
}
}
}
}
}Retrieve a paginated list of employee-personal-records.
curl --request GET \
--url https://{host}/lucca-api/employee-personal-records \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "employee-personal-records",
"url": "https://example.ilucca.net/lucca-api/employee-personal-records?page=qsdkuh&limit=25",
"items": [
{
"id": "897",
"type": "employee-personal-record",
"url": "https://example.ilucca.net/lucca-api/employee-personal-records/897",
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"title": "mister",
"legalGender": "male",
"birthDate": "1989-12-21",
"insuranceNumber": {
"format": "frenchSSN",
"value": "1760774865895 37"
},
"nationalitiesCountryCodes": [
"FRA"
],
"bankAccount": {
"format": "iban",
"bankName": "BNP Paribas",
"accountIdentifier": "FR7630006000011234567890189",
"bankIdentifier": null
},
"phoneNumber": "+33456789634",
"email": "jdoe13@gmail.com",
"links": {}
}
],
"totalCount": 203,
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/employee-personal-records?page=!sdk87Sdh&limit=25"
}
},
"embedded": {
"employee": {
"416": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416",
"remoteId": "00002345",
"portrait": {
"id": "66512232",
"type": "portrait",
"url": "https://example.ilucca.net/lucca-api/portraits/66512232"
},
"givenName": "Edward",
"familyName": "Atkinson",
"employeeNumber": "E000124",
"status": "active",
"email": "eatkinson@acme.corp",
"birthDay": {
"day": 22,
"month": 12
},
"phoneNumber": "+33145784512",
"applicableEmployment": {
"id": "154",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/154"
},
"applicableJobPosition": {
"id": "74",
"type": "job-position",
"url": "https://example.ilucca.net/lucca-api/job-positions/74"
},
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {
"portrait": {
"href": "https://example.ilucca.net/lucca-api/files/66512232?token=eyJhbGciOi"
},
"employments": {
"href": "https://example.ilucca.net/lucca-api/employments?employee.id=416"
},
"jobPositions": {
"href": "https://example.ilucca.net/lucca-api/job-positions?employment.employee.id=416"
},
"personalRecord": {
"href": "https://example.ilucca.net/lucca-api/employee-personal-records?employee.id=416"
}
}
}
}
}
}Required OAuth 2.0 Scopes
employee-personal-records.readonly
employee-personal-records.readwrite
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Cursor of the page to retrieve. Read more about pagination.
Number of items per page. Defaults to 25. Maximum is 100. Read more about pagination.
0 <= x <= 100Filter out personal-records on the employee IDs.
1001["123", "456"]Filter out personal-records on the employee legal gender.
100"Unknown" is equivalent to "unspecified" or "null".
"Diverse" may be legally acknowledged in some countries (e.g. Germany).
unknown, male, female, diverse ["male", "female"]Only return employees who have at least one of the passed country codes nationalities.
100Three letters ISO 3166-1 alpha-3 country code.
FRA, ESP, DEU, CHE, ITA, GBR, USA, BEL, CAN, AFG, ALA, ALB, DZA, ASM, AND, AGO, AIA, ATA, ATG, ARG, ARM, ABW, AUS, AUT, AZE, BHS, BHR, BGD, BRB, BLR, BLZ, BEN, BMU, BTN, BOL, BIH, BWA, BVT, BRA, VGB, IOT, BRN, BGR, BFA, BDI, KHM, CMR, CPV, CYM, CAF, TCD, CHL, CHN, HKG, MAC, CXR, CCK, COL, COM, COG, COD, COK, CRI, CIV, HRV, CUB, CYP, CZE, DNK, DJI, DMA, DOM, ECU, EGY, SLV, GNQ, ERI, EST, ETH, FLK, FRO, FJI, FIN, GUF, PYF, ATF, GAB, GMB, GEO, GHA, GIB, GRC, GRL, GRD, GLP, GUM, GTM, GGY, GIN, GNB, GUY, HTI, HMD, VAT, HND, HUN, ISL, IND, IDN, IRN, IRQ, IRL, IMN, ISR, JAM, JPN, JEY, JOR, KAZ, KEN, KIR, PRK, KOR, KWT, KGZ, LAO, LVA, LBN, LSO, LBR, LBY, LIE, LTU, LUX, MKD, MDG, MWI, MYS, MDV, MLI, MLT, MHL, MTQ, MRT, MUS, MYT, MEX, FSM, MDA, MCO, MNG, MNE, MSR, MAR, MOZ, MMR, NAM, NRU, NPL, NLD, NCL, NZL, NIC, NER, NGA, NIU, NFK, MNP, NOR, OMN, PAK, PLW, PSE, PAN, PNG, PRY, PER, PHL, PCN, POL, PRT, PRI, QAT, REU, ROU, RUS, RWA, BLM, SHN, KNA, LCA, MAF, SXM, SPM, VCT, WSM, SMR, STP, SAU, SEN, SRB, SYC, SLE, SGP, SVK, SVN, SLB, SOM, ZAF, SGS, SSD, LKA, SDN, SUR, SJM, SWZ, SWE, SYR, TWN, TJK, TZA, THA, TLS, TGO, TKL, TON, TTO, TUN, TUR, TKM, TCA, TUV, UGA, UKR, ARE, UMI, URY, UZB, VUT, VEN, VNM, VIR, WLF, ESH, YEM, ZMB, ZWE 3["FRA", "DEU"]Include metadata:
embedded: the partial or complete representations of related resources
(e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request).
May be null when you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives
the total number of items across all pages.Read more about expanding responses.
embedded, links, totalCount OK
An collection of employee-personal-record resources.
"employee-personal-records"Total number of employee-personal-record resources across all pages that satisfy query parameters.
x >= 0100Show child attributes
Links to related resources
Show child attributes
Embeds the representation of resources related to the employee-personal-record(s).
Only returned if requested by the API client: ?include=embedded.
Show child attributes
Was this page helpful?